Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510481 - Full support for ems targeted Prometheus alerts
Summary: Full support for ems targeted Prometheus alerts
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Control
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.0
Assignee: Mooli Tayer
QA Contact: Shalom Naim
URL:
Whiteboard: container
Depends On: 1507990
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-07 14:20 UTC by Satoe Imaishi
Modified: 2018-03-06 14:59 UTC (History)
4 users (show)

Fixed In Version: 5.9.0.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1507990
Environment:
Last Closed: 2018-03-06 14:59:41 UTC
Category: ---
Cloudforms Team: Container Management


Attachments (Terms of Use)

Comment 2 Mooli Tayer 2017-11-07 15:21:58 UTC
https://github.com/ManageIQ/manageiq-providers-kubernetes/pull/149 is in Gaprindashvili

Comment 3 CFME Bot 2017-11-29 20:33:56 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-classic/commit/acb31351fb4849ac0b3f11542f782c24d993169f

commit acb31351fb4849ac0b3f11542f782c24d993169f
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Sun Nov 5 12:11:01 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Nov 7 09:53:14 2017 -0500

    Merge pull request #2579 from moolitayer/ext_targeted_alerts
    
    Ext targeted alerts in the monitoring screen
    (cherry picked from commit 4325ccd56c7957da72fff9d8b7e78731a7383fbc)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1510481

 app/assets/javascripts/services/alerts_center_service.js | 2 +-
 app/assets/stylesheets/alerts.scss                       | 3 +++
 app/views/shared/views/_alerts_list.html.haml            | 3 ++-
 3 files changed, 6 insertions(+), 2 deletions(-)

Comment 4 CFME Bot 2017-11-29 20:46:58 UTC
New commit detected on ManageIQ/manageiq-providers-kubernetes/gaprindashvili:
https://github.com/ManageIQ/manageiq-providers-kubernetes/commit/5536f1e387864b826ca4c31efb2c802dad52b52a

commit 5536f1e387864b826ca4c31efb2c802dad52b52a
Author:     Mooli Tayer <mtayer@redhat.com>
AuthorDate: Tue Nov 7 15:50:59 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Nov 7 09:20:13 2017 -0500

    Merge pull request #149 from moolitayer/prevent_mismatch
    
    Prometheus Alert flow changes
    (cherry picked from commit c202228c2b44af89ad2ee90615e45cd6bcf33575)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1510481

 .../event_catcher/runner_mixin.rb                  | 41 +++++++-------
 .../monitoring_manager/event_catcher/stream.rb     |  4 +-
 .../event_catcher/runner_mixin_spec.rb             | 62 +++++++++++++++++-----
 3 files changed, 73 insertions(+), 34 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.